Subject: bug#7026: 23.2; reverting a buffer that visits a gpg-encrypted file

From: "Roland Winkler" <[email-masked]>
Date: Sun, 12 Sep 2010 12:10:34 -0500

Start `emacs -Q'
Visit a gpg-encrypted file ~/foo.gpg
Change the file on disk.
M-x revert-buffer
Emacs asks "Revert buffer from file /home/winkler/foo.gpg? (yes or no) "
Answer "yes"
Emacs will ask "foo.gpg changed on disk; really edit the buffer? ..."

I find this behavior rather irritating. What am I supposed to do to
revert the buffer?

If I answer `y', emacs says
"File on disk now will become a backup file if you save these changes."
If I answer `n', I cannot revert.

In GNU Emacs 23.2.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.0)
 of 2010-05-21 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.10706000

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_GB.utf8
  value of $LANG: en_US.ISO-8859-15
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-9-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp